import { Task } from "flowbject";

export default {
  createPackage: (name: string = "createPackage") => {
    const task = new Task(name);
    task.setResource("package:create");
    return task;
  },
  getPackage: (name: string = "getUserPackage") => {
    const task = new Task(name);
    task.setResource("package:get");
    return task;
  },
  registerNamespace: (name: string = "registerNamespace") => {
    const task = new Task(name);
    task.setResource("package:registerNamespace");
    return task;
  },
};
